Dynamic KBA

Endpoint: POST /api/v1/kba/dynamic

Headers

--header 'Content-Type: application/json'
--header 'Authorization: YOUR_API_KEY'

Request Body

{
  "ssn": "1234",
  "firstName": "Christopher",
  "middleName": null,
  "lastName": "Smith",
  "generation": null,
  "street": "123 Main st",
  "city": "Example Town",
  "state": "DC",
  "zipCode": "20001",
  "dateOfBirth": "2000-01-01",
  "phoneNumber": "3213214321",
  "ipAddress": "xxx.xxx.xxx.xxx",
  "emailAddress": "chris@example.com"
}

Response

The API will return KBA (Knowledge-Based Authentication) questions that can be used to verify the user's identity.

{
  "kbaQuestions": {
    "questions": [
      {
        "text": "Which one of the following addresses is associated with you?",
        "questionType": 1,
        "answers": [
          { "text": "48 FRAUHLIN", "isCorrect": false },
          { "text": "48 CARPENTER AV", "isCorrect": false },
          { "text": "None of the above", "isCorrect": true }
        ]
      },
      {
        "text": "Which one of the following area codes is associated with you?",
        "questionType": 2,
        "answers": [
          { "text": "507/924", "isCorrect": false },
          { "text": "414", "isCorrect": false },
          { "text": "None of the above", "isCorrect": true }
        ]
      }
      // ... additional questions
    ]
  }
}